org.apache.lucene.benchmark.byTask.tasks

## Enum NewCollationAnalyzerTask.Implementation

- java.lang.Object
- - java.lang.Enum<NewCollationAnalyzerTask.Implementation>
  - - org.apache.lucene.benchmark.byTask.tasks.NewCollationAnalyzerTask.Implementation

All Implemented Interfaces:
  Serializable, Comparable<NewCollationAnalyzerTask.Implementation>

Enclosing class:
  NewCollationAnalyzerTask

    public static enum NewCollationAnalyzerTask.Implementation
    extends Enum<NewCollationAnalyzerTask.Implementation>

Different Collation implementations: currently limited to what is provided in the JDK and ICU.

See Also:
  Comparison of implementations

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ICU`
`JDK`

### Method Summary

Methods
`static NewCollationAnalyzerTask.Implementation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NewCollationAnalyzerTask.Implementation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JDK

    public static final NewCollationAnalyzerTask.Implementation JDK

#### ICU

    public static final NewCollationAnalyzerTask.Implementation ICU

### Method Detail

#### values

    public static NewCollationAnalyzerTask.Implementation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NewCollationAnalyzerTask.Implementation c : NewCollationAnalyzerTask.Implementation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NewCollationAnalyzerTask.Implementation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null